alghi/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('upload/', views.upload, name='upload'),
    path('category/', views.category, name='category'),
]

inez/urls.py
from django.urls import path
from . import views

app_name = 'inez'

urlpatterns = [
    path('', views.homepage, name='homepage'),
    path('testimonial/', views.testimonial, name='testimonial'),
]

ppw_adopsi_hewan/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

from . import views

urlpatterns = [
    path('admin/', admin.site.urls),
    # path('', views.index, name='contoh'),
    path('', include('alghi.urls')),
    path('', include('shannia.urls')),
    path('', include('inez.urls')),
    path('', include('yoga.urls')),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL,
        document_root=settings.MEDIA_ROOT)

alghi/models.py
from django.db import models

class Pet(models.Model):
    PET_TYPE_CHOICES = [
        ("Cat", "Cat"),
        ("Dog", "Dog"),
        ("Other", "Other")
    ]

    PET_GENDER = [
        ("Male", "Male"),
        ("Female", "Female")
    ]

    PET_SIZE = [
        ("Small", "Small"),
        ("Medium", "Medium"),
        ("Large", "Large"),
        ("XL", "XL")
    ]

    PET_AGE = [
        ("Young", "Young"),
        ("Adult", "Adult"),
        ("Senior", "Senior")
    ]

    pet_name = models.CharField(max_length = 50)
    pet_type = models.CharField(max_length = 50, choices = PET_TYPE_CHOICES)
    pet_breed = models.CharField(max_length = 50)
    pet_gender = models.CharField(max_length = 50, choices = PET_GENDER)
    pet_size = models.CharField(max_length = 50, choices = PET_SIZE)
    pet_age = models.CharField(max_length = 50, choices = PET_AGE)
    pet_health = models.CharField(max_length = 50, default = "")
    adoption_fee = models.CharField(max_length = 50, default = "")
    owner_name = models.CharField(max_length = 100)
    owner_phone = models.CharField(max_length = 50)
    owner_email = models.EmailField(max_length = 200)
    owner_country = models.CharField(max_length = 50)
    owner_address = models.CharField(max_length = 200)
    owner_city = models.CharField(max_length = 50)
    owner_zipcode = models.CharField(max_length = 50)
    description = models.TextField(max_length = 500)

class PhotoPet(models.Model):
    photo = models.ImageField(upload_to='images/')
    pet = models.ForeignKey(Pet, on_delete=models.CASCADE)

alghi/forms.py
from django import forms

from .models import Pet

class PetForm(forms.ModelForm):
    class Meta:
        model = Pet
        fields = [
            'pet_name','pet_type','pet_breed','pet_gender','pet_size','pet_age','pet_health',
            'adoption_fee','owner_name','owner_phone','owner_email','owner_country',
            'owner_address','owner_city','owner_zipcode','description'
        ]

class PhotoForm(forms.Form):
    photo = forms.ImageField()

alghi/views.py
from django.shortcuts import render

from .forms import PetForm, PhotoForm
from .models import Pet, PhotoPet

def upload(request):
    if request.method == 'POST':
        pet_form = PetForm(request.POST)
        photo_pet_form = PhotoForm(request.POST, request.FILES)
        if pet_form.is_valid() and photo_pet_form.is_valid():
            new_pet = pet_form.save()
            new_photo = PhotoPet(pet = new_pet, photo = photo_pet_form.cleaned_data['photo'])
            new_photo.save()
    return render(request, 'upload.html')

def category(request):
    pet_list = Pet.objects.all()
    photo_list = PhotoPet.objects.all()
    if request.method == 'POST' and 'type' in request.POST:
        pet_list = Pet.objects.filter(pet_type = request.POST['type'])
    return render(request, 'category.html', {
        'pet_list': pet_list,
        'photo_list': photo_list
    })

alghi/templates/category.html
{% extends "base.html" %}

{% load static %}

{% block title %}AdopsiPet Category{% endblock %}

{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'category.css' %}">
{% endblock %}

{% block content %}
<h1 class="text-center pt-4">Adoption</h1>
<div class="text-center my-3">
    <form class="d-inline-block" method="POST">
        {% csrf_token %}
        <button class="btn orange-btn" type="submit">All</button>
    </form>
    <form class="d-inline-block" method="POST">
        {% csrf_token %}
        <input type="hidden" name="type" value="Cat">
        <button class="btn orange-btn" type="submit">Cats</button>
    </form>
    <form class="d-inline-block" method="POST">
        {% csrf_token %}
        <input type="hidden" name="type" value="Dog">
        <button class="btn orange-btn" type="submit">Dogs</button>
    </form>
    <form class="d-inline-block" method="POST">
        {% csrf_token %}
        <input type="hidden" name="type" value="Other">
        <button class="btn orange-btn" type="submit">Others</button>
    </form>
</div>
<div class="container pt-2 pb-4">
    <div class="row">
        {% for pet in pet_list %}
        <div class="col-md-4 text-center">
            <div class="petbox">
                {% for photo in photo_list %}
                    {% if photo.pet == pet %}
                        <div class="pet-photo mx-auto" style="
                            background: url('{{ photo.photo.url }}') no-repeat center center;
                            background-size: cover;
                            -webkit-background-size: cover;
                            -moz-background-size: cover;
                            -o-background-size: cover;
                        "></div>
                        <!-- <img src="{{ photo.photo.url }}" alt="pet photo"><br> -->
                    {% endif %}
                {% endfor %}
                <h5 class="pb-1 my-0">{{ pet.pet_name }}</h5>
                {{ pet.pet_type }} - {{ pet.pet_age }} - {{ pet.pet_breed }}<br>
                <i>{{ pet.owner_city }}, {{ pet.owner_country }}</i><br>
                <a href="/detail/{{ pet.id }}/"><button type="button" class="btn white-btn w-75 mt-2">More info</button></a>
            </div>
        </div>
        {% endfor %}
    </div>
</div>
{% endblock %}

alghi/templates/upload.html
{% extends "base.html" %}

{% load static %}

{% block title %}AdopsiPet Upload{% endblock %}

{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'upload.css' %}">
{% endblock %}

{% block content %}
<h1 class="text-center pt-4">Upload Pet</h1>
<div class="container py-4"><form method="POST" enctype="multipart/form-data"> {% csrf_token %}
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label for="id_pet_name">Pet name:</label>
                <input class="form-control" type="text" name="pet_name" maxlength="50" required="" id="id_pet_name">
            </div>
            
            <div class="form-group">
                <label for="id_pet_type">Pet type:</label>
                <select class="form-control" name="pet_type" required="" id="id_pet_type">
                    <option value="" selected="">---------</option>
                    <option value="Cat">Cat</option>
                    <option value="Dog">Dog</option>
                    <option value="Other">Other</option>
                </select>
            </div>
            
            <div class="form-group">
                <label for="id_pet_breed">Pet breed:</label>
                <input class="form-control" type="text" name="pet_breed" maxlength="50" required="" id="id_pet_breed">
            </div>
            
            <div class="form-group">
                <label for="id_pet_gender">Pet gender:</label>
                <select class="form-control" name="pet_gender" required="" id="id_pet_gender">
                    <option value="" selected="">---------</option>
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>
                </select>
            </div>

            <div class="form-group">
                <label for="id_pet_size">Pet size:</label>
                <select class="form-control" name="pet_size" required="" id="id_pet_size">
                    <option value="" selected="">---------</option>
                    <option value="Small">Small</option>
                    <option value="Medium">Medium</option>
                    <option value="Large">Large</option>
                    <option value="XL">XL</option>
                </select>
            </div>
            
            <div class="form-group">
                <label for="id_pet_age">Pet age:</label>
                <select class="form-control" name="pet_age" required="" id="id_pet_age">
                    <option value="" selected="">---------</option>
                    <option value="Young">Young</option>
                    <option value="Adult">Adult</option>
                    <option value="Senior">Senior</option>
                </select>
            </div>
            
            <div class="form-group">
                <label for="id_pet_health">Pet health:</label>
                <input class="form-control" type="text" name="pet_health" maxlength="50" required="" id="id_pet_health">
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label for="id_owner_name">Owner name:</label>
                <input class="form-control" type="text" name="owner_name" maxlength="100" required="" id="id_owner_name">
            </div>

            <div class="form-group">
                <label for="id_owner_phone">Owner phone:</label>
                <input class="form-control" type="text" name="owner_phone" maxlength="50" required="" id="id_owner_phone">
            </div>

            <div class="form-group">
                <label for="id_owner_email">Owner email:</label>
                <input class="form-control" type="email" name="owner_email" maxlength="200" required="" id="id_owner_email">
            </div>

            <div class="form-group">
                <label for="id_owner_country">Owner country:</label>
                <input class="form-control" type="text" name="owner_country" maxlength="50" required="" id="id_owner_country">
            </div>
            
            <div class="form-group">
                <label for="id_owner_address">Owner address:</label>
                <input class="form-control" type="text" name="owner_address" maxlength="200" required="" id="id_owner_address">
            </div>

            <div class="form-group">
                <label for="id_owner_city">Owner city:</label>
                <input class="form-control" type="text" name="owner_city" maxlength="50" required="" id="id_owner_city">
            </div>

            <div class="form-group">
                <label for="id_owner_zipcode">Owner zipcode:</label>
                <input class="form-control" type="text" name="owner_zipcode" maxlength="50" required="" id="id_owner_zipcode">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="form-group">
                <label for="id_adoption_fee">Pet photo:</label><br>
                <input type="file" name="photo" accept="image/*" required="" id="id_photo">
            </div>
            
            <div class="form-group">
                <label for="id_adoption_fee">Adoption fee:</label>
                <input class="form-control" type="text" name="adoption_fee" maxlength="50" required="" id="id_adoption_fee">
            </div>

            <div class="form-group">
                <label for="id_description">Description:</label>
                <textarea class="form-control" name="description" rows="5" maxlength="500" required="" id="id_description"></textarea>
            </div>
            <button class="btn orange-btn w-100" type="submit">Submit</button>
        </div>
    </div>
</form></div>
{% endblock %}